Package Gnumed :: Package wxpython :: Module gmLabWidgets :: Class cLabJournalNB |
[frames] | no frames]

# Class cLabJournalNB

source code

    wx.Notebook --+
                  |
                 cLabJournalNB

This wx.Notebook derivative displays 'records still due' and lab-import related errors.

Instance Methods
__init__(self, parent, id) Set up our specialised notebook. | source code
update(self) | source code
OnLeftSClick(self, event) | source code
OnLeftDClick(self, event) | source code
CrosscheckRelevant(self) | source code
OnSelectCell(self, event, selector=None) | source code
OnKeyPressed(self, key) Is called when a key is pressed. | source code
on_save_request_ID(self, event) | source code
on_select_all(self, event) | source code
on_lab_selected(self, data) | source code